
import request from '@/utils/request'


var Dates = function(){
	/* 
		Dates.format('yyyy-MM-dd EE HH:mm:ss')
		Dates.format.call(new Date(), 'yyyy-MM-dd EE HH:mm:ss')
	*/
	var format = function(fmt){
		var Date_ = this.getDate ? this : new Date();
		var o = {           
		"M+" : Date_.getMonth()+1, //月份           
		"d+" : Date_.getDate(), //日           
		"h+" : Date_.getHours()%12 == 0 ? 12 : Date_.getHours()%12, //小时           
		"H+" : Date_.getHours(), //小时           
		"m+" : Date_.getMinutes(), //分           
		"s+" : Date_.getSeconds(), //秒           
		"q+" : Math.floor((Date_.getMonth()+3)/3), //季度           
		"S" : Date_.getMilliseconds() //毫秒           
		};           
		var week = {           
		"0" : "\u65e5",           
		"1" : "\u4e00",           
		"2" : "\u4e8c",           
		"3" : "\u4e09",           
		"4" : "\u56db",           
		"5" : "\u4e94",           
		"6" : "\u516d"          
		};           
		if(/(y+)/.test(fmt)){           
			fmt=fmt.replace(RegExp.$1, (Date_.getFullYear()+"").substr(4 - RegExp.$1.length));           
		}           
		if(/(E+)/.test(fmt)){           
			fmt=fmt.replace(RegExp.$1, ((RegExp.$1.length>1) ? (RegExp.$1.length>2 ? "\u661f\u671f" : "\u5468") : "")+week[Date_.getDay()+""]);           
		}           
		for(var k in o){           
			if(new RegExp("("+ k +")").test(fmt)){           
				fmt = fmt.replace(RegExp.$1, (RegExp.$1.length==1) ? (o[k]) : (("00"+ o[k]).substr((""+ o[k]).length)));           
			}           
		}           
		return fmt;
	}
	
	var getDayStamp = function(){
		var start = new Date(new Date().toLocaleDateString()).getTime() / 1000;
		var end = ~~(new Date().getTime() / 1000);
		return {start:start, end:end};
	}

	return {format:format, getDayStamp:getDayStamp,}
};


/**
  * 上下滚动列表
  * @param: {Object}
  *	@example1: scrollingAuto({el:document.getElementById('parent1'), id:'parent1'});
  * @author: Kimber
  * @updatetime: 
  * @createtime: 2021/8/28
  */
var scrollingAuto = function(param){
	param = param || {};

	var el = param.el;
	var height = el.offsetHeight, scrollTop = el.scrollTop, scrollHeight = el.scrollHeight;
	var scrollTop = 0, animId, animloop;
	(animloop = function() {
		if (el.scrollTop >= el.firstElementChild.scrollHeight - el.offsetHeight) {
			cancelAnimationFrame(animId);
			setTimeout(function(){
				el.scrollTop = scrollTop = 0;
				animloop()
			}, 1500);
		} else {
			el.scrollTop = scrollTop;
			scrollTop += 0.3333;
			animId = window.requestAnimationFrame(animloop);
		};
	})();
	el.onmousedown = function(){
		window.cancelAnimationFrame(animId);
	};
	el.onmouseup = function(e){
		if(e.target.id === param.id){
			scrollTop = e.target.scrollTop;
		};
		animloop()
	};
};

export var scrollingAuto = scrollingAuto;

export var Dates = Dates();


// WEBPACK FOOTER //
// ./src/common/js/common.js